Function
sortAlignedReads
Stably sort aligned reads.
sortAlignedReads(alignStore, sortTag)
sortAlignedReads(alignStore, lessFunctor)
Include Headers
seqan/store.h
Parameters

alignStore | A sequence of AlignedReadStoreElement to be sorted, e.g. alignedReadStore.
sortTag | Selects the field to sort by. Types: sortAlignedRead Tags
lessFunctor | STL-less functor to compare two AlignedReadStoreElements.

Remarks
This function calls std::stable_sort to sort alignStore.
See Also
upperBoundAlignedReads, sortAlignedRead Tags, lowerBoundAlignedReads
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49